﻿using System;
using System.Collections.Generic;

using MSDN.SPTips.Task;

using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace SPTips.TaskService.Tests
{
    /*
     * IMPORTANT:
     * This class contains server dependent tests. 
     * Provide the appropriate settings through the ITaskRepositoryConfig implementation
     * that point to the right instance of SharePoint prior to running the tests.
     * 
     */

    [TestClass]
    public class TaskRepositoryIntegrationTests
    {
        [TestMethod]
        public void GetTasks_ShouldRetrieveTasksFromRunningInstanceOfSharePoint()
        {
            // use stubbed ITaskRepositoryConfig implementation 
            // to provide configuration settings that the repository requires
            // in an application, you would provide another implementation that pulls the settings
            // out of the configuration file or database
            ITaskRepositoryConfig repConfig = new StubbedTaskRepositoryConfig();

            ITaskRepository repository = new SPTaskRepository(repConfig);
            List<Task> spTasks = repository.GetTasks();

            Assert.IsTrue(spTasks.Count > 0, "Expected at least one task");
        }        
    }
}
